<?php $this->addCSS("templates/{$this->name}/css/liMarquee.css"); ?>
<?php $this->addJS("templates/{$this->name}/js/jquery.liMarquee.min.js"); ?>
<?php $this->addJS("templates/{$this->name}/js/jquery-ui.js"); ?>

<?php if ($items){ ?>

    <div id="marquee_<?php echo $widget->id; ?>" class="str_wrap"<?php if ($is_hide_background) { echo ' style="background:none;"'; } ?>>
        <?php foreach($items as $item) { ?>

            <?php $url = href_to($ctype['name'], $item['slug']) . '.html'; ?>

            <?php if ($item['title'] && !empty($item['title'])) { ?>
                <div class="item_compact">
                        <div class="itm_title">
                            <?php if ($item['date_pub'] && !empty($item['date_pub'])) { ?>
                                <span class="itm_date">
                                    <?php
                                        $date = new DateTime($item['date_pub']);
                                        html($date->format('d.m.Y'));
                                    ?>
                                </span>
                                <span class="separator">|</span>
                            <?php } ?>
                            <a href="<?php echo $url; ?>"><?php html($item['title']); ?></a>
                            <?php if ($item['is_private']) { ?>
                                <span class="is_private" title="<?php html(LANG_PRIVACY_PRIVATE); ?>"></span>
                            <?php } ?>
                        </div>

                    <div class="itm_more" style="display: none;">
                        <?php if ($image_field && !empty($item[$image_field])) { ?>
                            <div class="image">
                                <a href="<?php echo $url; ?>"><?php echo html_image($item[$image_field]); ?></a>
                            </div>
                        <?php } ?>
                        <div class="info">
                            <div class="title">
                                <a href="<?php echo $url; ?>"><?php html($item['title']); ?></a>
                                <?php if ($item['is_private']) { ?>
                                    <span class="is_private" title="<?php html(LANG_PRIVACY_PRIVATE); ?>"></span>
                                <?php } ?>
                            </div>
                            <?php if ($teaser_field && !empty($item[$teaser_field])) { ?>
                                <div class="teaser">
                                    <?php echo $item[$teaser_field]; ?>
                                </div>
                            <?php } ?>
                            <div class="details">
                                <span class="author">
                                    <a href="<?php echo href_to('users', $item['user']['id']); ?>"><?php html($item['user']['nickname']); ?></a>
                                    <?php if ($item['parent_id']){ ?>
                                        <?php echo LANG_WROTE_IN_GROUP; ?>
                                        <a href="<?php echo href_to($item['parent_url']); ?>"><?php html($item['parent_title']); ?></a>
                                    <?php } ?>
                                </span>
                                <span class="date">
                                    <?php html(string_date_age_max($item['date_pub'], true)); ?>
                                </span>
                                <?php if($ctype['is_comments']){ ?>
                                    <span class="comments">
                                        <a href="<?php echo $url . '#comments'; ?>" title="<?php echo LANG_COMMENTS; ?>"><?php echo intval($item['comments']); ?></a>
                                    </span>
                                <?php } ?>
                            </div><div style="clear: both;"></div>
                        </div>
                    </div>
                </div>
            <?php } ?>
        <?php } ?>
    </div>

    <script type="text/javascript">
        $(window).load(function(){

            $('#marquee_<?php echo $widget->id; ?>').tooltip({
                items: 'div.item_compact',
                content: function() {
                    return $('.itm_more', this).html();
                },
                show: null, // show immediately
                position: { my: "left top+10", at: "left bottom" },
                open: function(event, ui) {
                    if (typeof(event.originalEvent) === 'undefined') { return false; }
                    var $id = $(ui.tooltip).attr('id');
                    $('div.ui-tooltip').not('#' + $id).remove(); // close any lingering tooltips
                },
                close: function(event, ui) {
                    ui.tooltip.hover(function() {
                        $('#marquee_<?php echo $widget->id; ?>').liMarquee('pause');
                        $(this).stop(true).fadeTo(200, 1);
                    },
                    function() {
                        $(this).fadeOut('200', function() {
                            $(this).remove();
                            $('#marquee_<?php echo $widget->id; ?>').liMarquee('play');
                        });
                    });
                }
            });

            $('#marquee_<?php echo $widget->id; ?>').liMarquee({
		drag: false
            });

        });
    </script>

<?php } ?>